Đến nội dung


Hình ảnh

in bản vẽ theo khung in bất kỳ !


  • Please log in to reply
10 replies to this topic

#1 leejang

leejang

    biết lệnh move

  • Members
  • PipPipPip
  • 120 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 19 July 2011 - 01:42 AM

Em gặp một số bản vẽ mà người ta lồng khung không bình thường, cụ thể như sau: giả sử khung in hình chữ nhật ABCD, thì thường là cạnh AB song song với trục X nằm ngang. Thì ta in bình thường, nhưng gặp bản vẽ mà cạnh AB của hình chữ nhật nghiêng 1 góc là G so với trục X thì làm sao để in được bản vẽ theo Window ABCD ? xin được chỉ giáo !
  • 0

#2 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 19 July 2011 - 07:36 AM

Em gặp một số bản vẽ mà người ta lồng khung không bình thường, cụ thể như sau: giả sử khung in hình chữ nhật ABCD, thì thường là cạnh AB song song với trục X nằm ngang. Thì ta in bình thường, nhưng gặp bản vẽ mà cạnh AB của hình chữ nhật nghiêng 1 góc là G so với trục X thì làm sao để in được bản vẽ theo Window ABCD ? xin được chỉ giáo !

Sao anh không rotate cả khung chữ nhật đó một góc -G hoặc xoay hệ trục toạ độ quanh trục OZ đi một góc G ???

Command: UCS
Current ucs name: *NO NAME*
Specify origin of UCS or [Face/NAmed/OBject/Previous/View/World/X/Y/Z/ZAxis]
<World>: z
Specify rotation angle about Z axis <90>: 30.21
  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#3 huyphan

huyphan

    biết dimbaseline

  • CADViet Team
  • PipPipPipPipPip
  • 368 Bài viết
Điểm đánh giá: 71 (tàm tạm)

Đã gửi 19 July 2011 - 07:38 AM

Em gặp một số bản vẽ mà người ta lồng khung không bình thường, cụ thể như sau: giả sử khung in hình chữ nhật ABCD, thì thường là cạnh AB song song với trục X nằm ngang. Thì ta in bình thường, nhưng gặp bản vẽ mà cạnh AB của hình chữ nhật nghiêng 1 góc là G so với trục X thì làm sao để in được bản vẽ theo Window ABCD ? xin được chỉ giáo !

Quái, vẽ lệch khung chi vậy nhỉ? Thông thường thì đối tượng lệch mà thôi còn khung bản vẽ luôn // với trục chứ? Nếu khung chèn vô hình bên Model thì ta xoay lại cho chuẩn xong rồi mới in. Qua Layout thiết lập in ấn vẫn vậy.
Hay bạn bắt 4 điểm của khung đó có được kg?
Bạn post bản vẽ lên đây anh em xem thử.
  • 0

#4 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 995 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 19 July 2011 - 08:45 AM

Em gặp một số bản vẽ mà người ta lồng khung không bình thường, cụ thể như sau: giả sử khung in hình chữ nhật ABCD, thì thường là cạnh AB song song với trục X nằm ngang. Thì ta in bình thường, nhưng gặp bản vẽ mà cạnh AB của hình chữ nhật nghiêng 1 góc là G so với trục X thì làm sao để in được bản vẽ theo Window ABCD ? xin được chỉ giáo !

Bạn vào layout và tìm hiểu lệnh alignspace trong tools express nhé.
  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#5 leejang

leejang

    biết lệnh move

  • Members
  • PipPipPip
  • 120 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 19 July 2011 - 12:54 PM

Cái này người ta có lisp in, Nhưng em mới về nên ngại ko dám xin. hic ! Đây là bản vẽ ạ. Nó nặng nên e xóa bớt đối tượng đi cho nhẹ. Còn để lại khung in ! Mình không thể xuay ucs được, vì nhiều bản vẽ lắm. Làm như thế quá mất thời gian. không khả thi ! hic !
http://www.mediafire...l7eb61eb96grxu5
  • 0

#6 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 995 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 19 July 2011 - 01:15 PM

Cái này người ta có lisp in, Nhưng em mới về nên ngại ko dám xin. hic ! Đây là bản vẽ ạ. Nó nặng nên e xóa bớt đối tượng đi cho nhẹ. Còn để lại khung in ! Mình không thể xuay ucs được, vì nhiều bản vẽ lắm. Làm như thế quá mất thời gian. không khả thi ! hic !
http://www.mediafire...l7eb61eb96grxu5

In kiểu này thì cũng được. Nhưng bình đồ sẽ bị ngược theo 1 chiều. Tuy rằng tiết kiệm giấy mực nhưng bình đồ nhìn rất chuối. Các địa vật sẽ bị nghiêng đảo. Khung bản đồ bạn đưa ra có nhiều kiểu, như vậy in theo kiểu gì? khổ giấy gì? Mình cũng cố gắng xem liệu được không vì trình độ nông cạn.
  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#7 leejang

leejang

    biết lệnh move

  • Members
  • PipPipPip
  • 120 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 19 July 2011 - 03:26 PM

In kiểu này thì cũng được. Nhưng bình đồ sẽ bị ngược theo 1 chiều. Tuy rằng tiết kiệm giấy mực nhưng bình đồ nhìn rất chuối. Các địa vật sẽ bị nghiêng đảo. Khung bản đồ bạn đưa ra có nhiều kiểu, như vậy in theo kiểu gì? khổ giấy gì? Mình cũng cố gắng xem liệu được không vì trình độ nông cạn.

Người ta làm như thế và đưa cho mình in. Nhiệm vụ là chỉ có in ra theo các khung đó thôi. Còn xấu thì kệ người ta. Vì từ trước tới h người ta làm như thế quen rồi. mặc kệ thui . hic
  • 0

#8 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 995 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 22 July 2011 - 11:33 AM

Người ta làm như thế và đưa cho mình in. Nhiệm vụ là chỉ có in ra theo các khung đó thôi. Còn xấu thì kệ người ta. Vì từ trước tới h người ta làm như thế quen rồi. mặc kệ thui . hic

Sau một thời gian lần mò với ý tưởng của bạn và được sự giúp đỡ nhiệt tình của Ketxu thì mình cũng hoàn thành xong yêu cầu của bạn. Tuy rằng đã có lisp đó nhưng tự mình làm ra cũng sung sướng.
http://www.mediafire...qzcgdu9cu76bd4x


(defun c:ikn () ;;;In khung nghieng
(vl-load-com)
(command "PSPACE" "")
(setq
D1 (getpoint "\nChon diem thu nhat: ")
D2 (getpoint "\nChon diem thu hai: ")
)
(command "MSPACE" "")
(setq en (entsel "\n Chon pline "))
(setq i 0)
(setq dsdinh (acet-geom-vertex-list (car en)))
(if en
(progn
(repeat (/ (length dsdinh) 2)
(alignspace (nth i dsdinh)(nth (1+ i) dsdinh) D1 D2)
(command "_plot" "" "" "" "" "" "" "")
(setq i (+ i 2))
)
)
)
(princ)
)

  • 2



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#9 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 22 July 2011 - 03:05 PM

Sau một thời gian lần mò với ý tưởng của bạn và được sự giúp đỡ nhiệt tình của Ketxu thì mình cũng hoàn thành xong yêu cầu của bạn. Tuy rằng đã có lisp đó nhưng tự mình làm ra cũng sung sướng.
http://www.mediafire...qzcgdu9cu76bd4x


(defun c:ikn () ;;;In khung nghieng
(vl-load-com)
(command "PSPACE" "")
(setq
D1 (getpoint "\nChon diem thu nhat: ")
D2 (getpoint "\nChon diem thu hai: ")
)
(command "MSPACE" "")
(setq en (entsel "\n Chon pline "))
(setq i 0)
(setq dsdinh (acet-geom-vertex-list (car en)))
(if en
(progn
(repeat (/ (length dsdinh) 2)
(alignspace (nth i dsdinh)(nth (1+ i) dsdinh) D1 D2)
(command "_plot" "" "" "" "" "" "" "")
(setq i (+ i 2))
)
)
)
(princ)
)

Hề hề hề,
Thanks nhà bác Thanhduan này một phát. Dưng mà lisp vẫn nên sửa lại mấy chỗ thừa bác ạ. Ngoài ra bác lưu ý giùm mấy cái vụ sau:
Cái vu :(repeat (/ (length dsdinh) 2) này mà gặp phải mấy chú vẽ ẩu là bỏ u đây, phải cẩn thận mới được. Hề hề hề,....
Cái thằng (command "_plot" "" "" "" "" "" "" "") này chắc là bác phải cài đặt máy in trước hỉ??? Liệu bác có thể cho luôn phần cài đặt máy in vào trong lisp ni được không hè... Chớ bây chừ ngồi mò mẫm cài đặt e rằng xếp mắng cho tẹt mũi à.....
Chúc bác khỏe và vui....
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#10 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 995 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 22 July 2011 - 03:15 PM

Hề hề hề,
Thanks nhà bác Thanhduan này một phát. Dưng mà lisp vẫn nên sửa lại mấy chỗ thừa bác ạ. Ngoài ra bác lưu ý giùm mấy cái vụ sau:
Cái vu :(repeat (/ (length dsdinh) 2) này mà gặp phải mấy chú vẽ ẩu là bỏ u đây, phải cẩn thận mới được. Hề hề hề,....
Cái thằng (command "_plot" "" "" "" "" "" "" "") này chắc là bác phải cài đặt máy in trước hỉ??? Liệu bác có thể cho luôn phần cài đặt máy in vào trong lisp ni được không hè... Chớ bây chừ ngồi mò mẫm cài đặt e rằng xếp mắng cho tẹt mũi à.....
Chúc bác khỏe và vui....

Cảm ơn bác đã tìm ra cái lỗi đó. Hii. Sửa cũng được nhưng mà cái này em không sửa. Để cho họ có cái tính cẩn thận là tốt rùi. Thanks bác 1 cái. Hiii
  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#11 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 22 July 2011 - 03:21 PM

Hề hề hề,
Thanks nhà bác Thanhduan này một phát. Dưng mà lisp vẫn nên sửa lại mấy chỗ thừa bác ạ. Ngoài ra bác lưu ý giùm mấy cái vụ sau:
Cái vu :(repeat (/ (length dsdinh) 2) này mà gặp phải mấy chú vẽ ẩu là bỏ u đây, phải cẩn thận mới được. Hề hề hề,....
Cái thằng (command "_plot" "" "" "" "" "" "" "") này chắc là bác phải cài đặt máy in trước hỉ??? Liệu bác có thể cho luôn phần cài đặt máy in vào trong lisp ni được không hè... Chớ bây chừ ngồi mò mẫm cài đặt e rằng xếp mắng cho tẹt mũi à.....
Chúc bác khỏe và vui....

(/ (length dsdinh) 2) sẽ loại point thừa nếu có người vẽ ẩu, vì ở đây tương đương fix, luôn trả về số nguyên r ^^
Ngoài ra, lisp không dùng đến VL, mà dùng Acet, nên cần kiểm tra ACET, kiểm tra Pline, kiểm tra 2 point.... ^^ (những cái này ông nào dùng k cẩn thận thì ráng chịu thôi ^^)
Tks bác Duân vì tinh thần share không giới hạn :lol:
  • 2

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC